<?php

/*------------------------------------------------------------------------
01.# mod_pivotpointsticker - Pivot Points
02.# ------------------------------------------------------------------------
03.# author    Live Charts UK
04.# copyright Copyright (C) 2012 livecharts.co.uk All Rights Reserved.
05.# @license - http://www.gnu.org/copyleft/gpl.html GNU/GPL
06.# Websites: http://www.livecharts.co.uk
07.# Demo:  http://www.livecharts.co.uk/pivot-point-ticker.php
*/

 
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );


class JFormFieldActivelink extends JFormField {
	var $_name = "Activelink";
	function getInput() {
		$value = $this->value;
		if ($value == 'notset') {
			$value = $this->getActiveLink();
			$value = $value[0] . "|" . $value[1];
		}
$return = <<<EOD
<input type="hidden" name="{$this->name}]" id="{$this->id}" value="{$value}" />
EOD;
		return $return;
	}
	function getLabel() {
		return "";
	}

	function getActiveLink() {
		$defaultLink = array("http://www.livecharts.co.uk", "Live Charts");
		
		$fp = fsockopen("www.livecharts.co.uk", 80, $errno, $errstr, 30);
		if ( !$fp ) {
			return $defaultLink;
		} 
		else {
			$content = '';
			$out = "GET /widgets/pivotpoints/services.php?func=active-link HTTP/1.1\r\n";
			$out .= "Host: www.livecharts.co.uk\r\n";
			$out .= "Connection: Close\r\n\r\n";
			fwrite($fp, $out);
			while (!feof($fp)) {
				$content .= fgets($fp, 128);
			}
			fclose($fp);
			$arr = explode("##", $content);
			$resp = $arr[1];
			
			$arr = explode("\n", $resp);
			
			$resp = $arr[0];
			return explode("|", trim($resp));
		}
	}
	
}
?>
