<?php

/*------------------------------------------------------------------------
01.# mod_pivotpointsticker - Pivot Points
02.# ------------------------------------------------------------------------
03.# author    Live Charts UK
04.# copyright Copyright (C) 2012 livecharts.co.uk All Rights Reserved.
05.# @license - http://www.gnu.org/copyleft/gpl.html GNU/GPL
06.# Websites: http://www.livecharts.co.uk
07.# Demo:  http://www.livecharts.co.uk/pivot-point-ticker.php
*/

 
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );


class JFormFieldColorpicker extends JFormField {
	protected $type = 'Colorpicker';
	
	function getInput() {
		$value = $this->value;
		$name  = $this->name;
		$id    = $this->id;
$return = <<<EOD
			<input type="hidden" name="{$name}" id="{$id}" value="{$value}" />
			<div style="float:left; top:-5px;" id="cp_{$id}" class="colorpickerButton">
				<div></div>
			</div>
			<script type="text/javascript">
			jQuery('#cp_{$id} div').css('backgroundColor', "#" + jQuery("#{$id}").val());
			
			jQuery('#cp_{$id}').ColorPicker({
				color: jQuery("#{$id}").val(),
				onShow: function (colpkr) {
					jQuery(colpkr).fadeIn(500);
					return false;
				},
				onHide: function (colpkr) {
					jQuery(colpkr).fadeOut(500);
					jQuery("#cp_{$id}").ColorPickerSetColor("#" + jQuery("#{$id}").val());
					return false;
				},
				onChange: function (hsb, hex, rgb) {
					jQuery('#cp_{$id} div').css('backgroundColor', "#" + hex);
					jQuery("#{$id}").val(hex);
				}
			});
			</script>
EOD;
		return $return;
	}
}               
?>