<?php
/*------------------------------------------------------------------------
01.# mod_pivotpointsticker - Pivot Points
02.# ------------------------------------------------------------------------
03.# author    Live Charts UK
04.# copyright Copyright (C) 2012 livecharts.co.uk All Rights Reserved.
05.# @license - http://www.gnu.org/copyleft/gpl.html GNU/GPL
06.# Websites: http://www.livecharts.co.uk
07.# Demo:  http://www.livecharts.co.uk/pivot-point-ticker.php
*/

 
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

class modLCWPivotsHelper
{
    function getContent( $params ) {
		$template   = file_get_contents("modules/mod_pivotpoints_ticker/data/widget-template.html");
		
		$activeLink = ($params->get("activelink") == 'notset' ? array("http://www.livecharts.co.uk", "Live Charts") : explode("|", $params->get("activelink")));
		
		$width        = $params->get("width");
		$symbols      = $params->get("symbols");
		$fontColor    = $params->get("fontColor");
		$oddRowColor  = $params->get("oddRowColor");
		$evenRowColor = $params->get("evenRowColor");
		$borderColor  = $params->get("borderColor");
		$height       = 185;
		
		$iframeSRC    = JURI::root() . "modules/mod_pivotpoints_ticker/data/widget-iframe.php?symbols=" . $symbols;
		$iframeSRC   .= "&fontColor={$fontColor}&oddRowColor={$oddRowColor}&evenRowColor={$evenRowColor}"; 
		$iframeSRC   .= "&borderColor={$borderColor}&iw={$width}&ih={$height}";
		
		$search = array(
			"{IFRAME_SRC}",
			"{IFRAME_WIDTH}",
			"{IFRAME_HEIGHT}",
			"{ACTIVE_LINK_URL}",
			"{ACTIVE_LINK_TITLE}",
			"{ACTIVE_LINK_LABEL}",
			"{JOOMLA}"
		);
		$replace = array(
			$iframeSRC,
			$width,
			$height,
			$activeLink[0],
			$activeLink[1],
			$activeLink[1],
			"y"
		);
		
		$code = str_replace($search, $replace, $template);
		return $code;
    }
}
?>